[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TParam.AsWideString

Get/Set the value as a widestring

## Declaration

Source position: db.pas line 1274

`public property TParam.AsWideString : WideString read GetAsWideString write SetAsWideString;`

## Description

AsWideString returns the parameter value as a widestring value. Setting the property will set the value of the parameter and will also set the DataType to ftWideString.

## See also

TParam.AsString |  | Get/Set parameter value as a string value
TParam.Value |  | Value as a variant
TParam.DataType |  | Data type of the parameter